Bug 1577517 - [abrt] gnome-shell: meta_window_wayland_get_geometry_scale(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: meta_window_wayland_get_geometry_scale(): gnome-shell kil...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0fc89240cd25d6f2852efad2dff...
: 1583281 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-12 16:43 UTC by Glaydson Silva
Modified: 2019-05-28 20:50 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:50:36 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (73.61 KB, text/plain)
2018-05-12 16:43 UTC, Glaydson Silva
no flags Details
File: cgroup (331 bytes, text/plain)
2018-05-12 16:43 UTC, Glaydson Silva
no flags Details
File: core_backtrace (34.34 KB, text/plain)
2018-05-12 16:44 UTC, Glaydson Silva
no flags Details
File: cpuinfo (1.43 KB, text/plain)
2018-05-12 16:44 UTC, Glaydson Silva
no flags Details
File: dso_list (26.05 KB, text/plain)
2018-05-12 16:44 UTC, Glaydson Silva
no flags Details
File: environ (3.57 KB, text/plain)
2018-05-12 16:44 UTC, Glaydson Silva
no flags Details
File: exploitable (127 bytes, text/plain)
2018-05-12 16:44 UTC, Glaydson Silva
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-12 16:44 UTC, Glaydson Silva
no flags Details
File: maps (129.60 KB, text/plain)
2018-05-12 16:44 UTC, Glaydson Silva
no flags Details
File: mountinfo (3.49 KB, text/plain)
2018-05-12 16:44 UTC, Glaydson Silva
no flags Details
File: open_fds (8.25 KB, text/plain)
2018-05-12 16:44 UTC, Glaydson Silva
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-05-12 16:44 UTC, Glaydson Silva
no flags Details
File: var_log_messages (14.22 KB, text/plain)
2018-05-12 16:44 UTC, Glaydson Silva
no flags Details

Description Glaydson Silva 2018-05-12 16:43:50 UTC
Description of problem:
Não identifiquei o motivo disso acontecer. Ao entrar no sistema com meu login e senha, me informou que o gnome-shell apresentou problema. Cliquei na mensagem para saber o que era e me deslogou do meu usuário. Tive que entrar com meu usuário três vezes. Na quarta possibilidade que deu certo.

Version-Release number of selected component:
gnome-shell-3.28.1-3.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_wayland_get_geometry_scale
executable:     /usr/bin/gnome-shell
journald_cursor: s=16ea3aa21283487b84b0bcc4dd4d1d7d;i=27887;b=e705df22adb8430a9d0815b31b7332bb;m=1196ed84;t=56c043e47a0c3;x=288fb5ee5774c745
kernel:         4.16.6-302.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 meta_window_wayland_get_geometry_scale at wayland/meta-window-wayland.c:657
 #1 meta_window_wayland_move_resize at wayland/meta-window-wayland.c:686
 #2 meta_wayland_xdg_toplevel_commit at wayland/meta-wayland-xdg-shell.c:649
 #3 meta_wayland_surface_role_commit at wayland/meta-wayland-surface.h:45
 #4 meta_wayland_surface_apply_pending_state at wayland/meta-wayland-surface.c:714
 #5 ffi_call_unix64 at ../src/x86/unix64.S:76
 #6 ffi_call at ../src/x86/ffi64.c:525
 #7 ??

Comment 1 Glaydson Silva 2018-05-12 16:43:57 UTC
Created attachment 1435448 [details]
File: backtrace

Comment 2 Glaydson Silva 2018-05-12 16:43:58 UTC
Created attachment 1435449 [details]
File: cgroup

Comment 3 Glaydson Silva 2018-05-12 16:44:00 UTC
Created attachment 1435450 [details]
File: core_backtrace

Comment 4 Glaydson Silva 2018-05-12 16:44:02 UTC
Created attachment 1435451 [details]
File: cpuinfo

Comment 5 Glaydson Silva 2018-05-12 16:44:04 UTC
Created attachment 1435452 [details]
File: dso_list

Comment 6 Glaydson Silva 2018-05-12 16:44:06 UTC
Created attachment 1435453 [details]
File: environ

Comment 7 Glaydson Silva 2018-05-12 16:44:07 UTC
Created attachment 1435454 [details]
File: exploitable

Comment 8 Glaydson Silva 2018-05-12 16:44:09 UTC
Created attachment 1435455 [details]
File: limits

Comment 9 Glaydson Silva 2018-05-12 16:44:16 UTC
Created attachment 1435456 [details]
File: maps

Comment 10 Glaydson Silva 2018-05-12 16:44:17 UTC
Created attachment 1435457 [details]
File: mountinfo

Comment 11 Glaydson Silva 2018-05-12 16:44:19 UTC
Created attachment 1435458 [details]
File: open_fds

Comment 12 Glaydson Silva 2018-05-12 16:44:21 UTC
Created attachment 1435459 [details]
File: proc_pid_status

Comment 13 Glaydson Silva 2018-05-12 16:44:23 UTC
Created attachment 1435460 [details]
File: var_log_messages

Comment 14 Jan Ischebeck 2018-05-26 07:38:54 UTC
Similar problem has been detected:

Gnome Shell killed after mounting a share

reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_wayland_get_geometry_scale
executable:     /usr/bin/gnome-shell
journald_cursor: s=b8a9cc6d77fd48f08087f1809360aac8;i=4aba3;b=ea08c2c1d92c408b9a7e5960a2470fea;m=6bba494;t=56d16c985fb42;x=790d477b17ca7d09
kernel:         4.16.11-300.fc28.x86_64
package:        gnome-shell-3.28.2-1.fc28
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 maia2046 2018-05-28 15:56:17 UTC
*** Bug 1583281 has been marked as a duplicate of this bug. ***

Comment 16 Muhib Al Hasan 2018-06-12 02:21:55 UTC
Similar problem has been detected:

Just entered "nautilus /usr/local/lib/python3.5/dist-packages" on terminal, and i didn't notice that it said python3.5 while i have 2.7 and 3.6 installed as i copy-pasted it from web.
And it crashed both times.

reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_wayland_get_geometry_scale
executable:     /usr/bin/gnome-shell
journald_cursor: s=08514f4aecbc444e896d21fe17ebfe9c;i=4c2fa;b=1b87a22bff8f4a37a34dd57c1e6bfc47;m=3d519cad;t=56e6863ad9bc8;x=e83dd5938dfc1278
kernel:         4.16.14-300.fc28.x86_64
package:        gnome-shell-3.28.2-1.fc28
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 emmanuel 2018-06-13 22:11:22 UTC
Similar problem has been detected:

De repente se trabo y ya no respondio GNOME

reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_wayland_get_geometry_scale
executable:     /usr/bin/gnome-shell
journald_cursor: s=637568b86bb3485eb18ab34c7bbe3f7f;i=19b7;b=c47f516d329443feb303423f9d23989d;m=2d79e3b270;t=56e8b27cfa375;x=bae85da0ba3475d1
kernel:         4.16.13-300.fc28.x86_64
package:        gnome-shell-3.28.2-1.fc28
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 Michal Konecny 2018-06-21 08:03:46 UTC
Similar problem has been detected:

I encountered this issue when deleting notifications from gnome notification panel.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_wayland_get_geometry_scale
executable:     /usr/bin/gnome-shell
journald_cursor: s=4bcd0a136c554614bedbd0a7af10e24c;i=1c3219;b=8a08742cc71245e2a52743e012ec6515;m=b08486349;t=56f222fbcf7f3;x=c8717d4f4caff19b
kernel:         4.16.15-300.fc28.x86_64
package:        gnome-shell-3.28.2-1.fc28
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 PIOTR BUTKIEWICZ 2018-06-27 04:02:59 UTC
Similar problem has been detected:

I created a custom keyboard shortcut in the Gnome Keyboard settings:
Name: "Open File Explorer"
Command: "nautilus ~"
Shortcut Combo: "Super + E"

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_wayland_get_geometry_scale
executable:     /usr/bin/gnome-shell
journald_cursor: s=2e1acee7f5884c739bc6ee099da849fa;i=df51;b=fea850b4b172473e95f82781ccb09118;m=1e3ab0f61;t=56f97266ae32c;x=65d33060187cc4f9
kernel:         4.17.2-200.fc28.x86_64
package:        gnome-shell-3.28.2-1.fc28
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 Fatalcreator 2018-07-03 10:54:12 UTC
Similar problem has been detected:

I opened an AppContainer for the most recent version of Cura
I connected my Smartphone to my Laptop via USB. It was in charging mode, so if I had opened the filesystem, it would have been displayed as empty.
I disconnected my Smartphone.
I ran dnf upgrade.
I closed my laptops lid several times and put it in suspense.
---Just before the crash:---
Several days later, I clicked on the notifications in the gnome notification menu.
First the App-Conatiner. Then the Smartphone.
On the first click, the first notification cleared. On the second click the screen went black and weird letters with lots of accents, i think?, appeared.
Then the system showed me the login screen, like if I had just booted it.

reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_wayland_get_geometry_scale
executable:     /usr/bin/gnome-shell
journald_cursor: s=636e40d9ac89438793f8983b552ae0d0;i=2bb733;b=b5a96af32b754c3d8107c79c4451dfcd;m=3efd8df8f0;t=57015a1cfb93a;x=86740505a4e3fc28
kernel:         4.16.15-300.fc28.x86_64
package:        gnome-shell-3.28.2-1.fc28
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 Ben Cotton 2019-05-02 21:29:40 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 22 Ben Cotton 2019-05-28 20:50:36 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.